Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImR_LocatorS.cpp File Reference

`#include "ImR_LocatorS.h"`
`#include "tao/PortableServer/Object_Adapter.h"`
`#include "tao/PortableServer/Operation_Table.h"`
`#include "tao/TAO_Server_Request.h"`
`#include "tao/ORB_Core.h"`
`#include "tao/Profile.h"`
`#include "tao/Stub.h"`
`#include "tao/IFR_Client_Adapter.h"`
`#include "tao/Object_T.h"`
`#include "tao/Typecode.h"`
`#include "tao/DynamicC.h"`
`#include "tao/Basic_Arguments.h"`
`#include "tao/Object_Argument_T.h"`
`#include "tao/UB_String_Arguments.h"`
`#include "tao/Var_Size_Argument_T.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "tao/PICurrent.h"`
`#include "tao/PortableServer/ServerRequestInfo.h"`
`#include "tao/PortableServer/ServerInterceptorAdapter.h"`
`#include "ace/Dynamic_Service.h"`
`#include "ace/config-all.h"`
`#include "ImR_LocatorS.i"`

Include dependency graph for ImR_LocatorS.cpp:

## Namespaces
namespace | TAO
## Compounds
class | Arg_Traits< ImplementationRepository::Administration >
class | Arg_Traits< ImplementationRepository::Locator::ServerNameList >
class | Arg_Traits< ImplementationRepository::ServerInformation >
class | Arg_Traits< ImplementationRepository::ServerInformationIterator >
class | Arg_Traits< ImplementationRepository::ServerInformationList >
class | Arg_Traits< ImplementationRepository::ServerObject >
class | Arg_Traits< ImplementationRepository::StartupOptions >
class | TAO_ImplementationRepository_Locator_Perfect_Hash_OpTable
class | TAO_ServerRequestInfo_ImplementationRepository_Locator_activate_server_in_activator
class | TAO_ServerRequestInfo_ImplementationRepository_Locator_find_in_activator
class | TAO_ServerRequestInfo_ImplementationRepository_Locator_register_activator
class | TAO_ServerRequestInfo_ImplementationRepository_Locator_remove_server_in_activator
class | TAO_ServerRequestInfo_ImplementationRepository_Locator_server_is_running_in_activator
class | TAO_ServerRequestInfo_ImplementationRepository_Locator_server_is_shutting_down_in_activator
class | TAO_ServerRequestInfo_ImplementationRepository_Locator_shutdown_server_in_activator
class | TAO_ServerRequestInfo_ImplementationRepository_Locator_unregister_activator
## Defines
#define | _IMPLEMENTATIONREPOSITORY_SERVEROBJECT__ARG_TRAITS_SS_
#define | _IMPLEMENTATIONREPOSITORY_STARTUPOPTIONS__ARG_TRAITS_SS_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATION__ARG_TRAITS_SS_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST__ARG_TRAITS_SS_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR__ARG_TRAITS_SS_
#define | _IMPLEMENTATIONREPOSITORY_ADMINISTRATION__ARG_TRAITS_SS_
#define | _IMPLEMENTATIONREPOSITORY_LOCATOR_SERVERNAMELIST__ARG_TRAITS_SS_
## Functions
TAO::Collocation_Proxy_Broker * | ImplementationRepository__TAO_Locator_Proxy_Broker_Factory_function (CORBA::Object_ptr)
int | ImplementationRepository__TAO_Locator_Proxy_Broker_Factory_Initializer (size_t)
## Variables
TAO_ImplementationRepository_Locator_Perfect_Hash_OpTable | tao_ImplementationRepository_Locator_optable
int | ImplementationRepository__TAO_Locator_Proxy_Broker_Stub_Factory_Initializer_Scarecrow

## Define Documentation

#define _IMPLEMENTATIONREPOSITORY_ADMINISTRATION__ARG_TRAITS_SS_

#define _IMPLEMENTATIONREPOSITORY_LOCATOR_SERVERNAMELIST__ARG_TRAITS_SS_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATION__ARG_TRAITS_SS_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR__ARG_TRAITS_SS_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST__ARG_TRAITS_SS_

#define _IMPLEMENTATIONREPOSITORY_SERVEROBJECT__ARG_TRAITS_SS_

#define _IMPLEMENTATIONREPOSITORY_STARTUPOPTIONS__ARG_TRAITS_SS_

## Function Documentation

TAO::Collocation_Proxy_Broker* ImplementationRepository__TAO_Locator_Proxy_Broker_Factory_function | ( | CORBA::Object_ptr |  | ) |

int ImplementationRepository__TAO_Locator_Proxy_Broker_Factory_Initializer | ( | size_t |  | ) |

## Variable Documentation

int ImplementationRepository__TAO_Locator_Proxy_Broker_Stub_Factory_Initializer_Scarecrow`[static]`

| Initial value:
      ImplementationRepository__TAO_Locator_Proxy_Broker_Factory_Initializer (
          ACE_reinterpret_cast (
              size_t,
              ImplementationRepository__TAO_Locator_Proxy_Broker_Factory_Initializer
            )
        )

TAO_ImplementationRepository_Locator_Perfect_Hash_OpTable tao_ImplementationRepository_Locator_optable`[static]`